<?php
@session_start();

include_once( "f_admin.php" );
include_once( "f_wfl.php" );





///////////////////////////////
// Darf der Benutzer diese Seite sehen?

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMIN_BENUTZER" );

if ( $exec[ 0 ] != 1 )
{
	header( "Location: us_uebersicht.php" );
}

///////////////////////////////





$benutzer_anmeldename_udeg = $_GET[ "benutzer_anmeldename" ];
//xlog( 4, "benutzer_anmeldename_udeg: ".$benutzer_anmeldename_udeg );
$benutzer_infos = liefere_benutzerinformationen( $_SESSION[ "mandant_name" ] /* hier ist $mandant_name noch nicht gesetzt */, $benutzer_anmeldename_udeg );

if ( ( strlen( $benutzer_infos[ 2 ][ "benutzer_vorname" ] ) == 0 ) and ( strlen( $benutzer_infos[ 2 ][ "benutzer_nachname" ] ) == 0 ) )
{
	$vollname = $benutzer_infos[ 2 ][ "benutzer_anmeldename" ];
}
else
{
	$vollname = $benutzer_infos[ 2 ][ "benutzer_vorname" ]." ".$benutzer_infos[ 2 ][ "benutzer_nachname" ];
}

$_SESSION[ "title" ] = "Einstellungen f&uuml;r den Benutzer ".$vollname;
include( 'ssi_header.php' );
$_SESSION[ "title" ] = "";
include( "ad_menu.php" );

echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:550px;'>";

$ergebnis_1 = liefere_benutzerspezifische_einstellungen_kategorien( $mandant_name, $benutzer_anmeldename_udeg );

$wertemenge = liefere_wertemenge_elemente( $mandant_name, "wertemengen_liste" );

echo "<h1 style='height:35px;' >Benutzereinstellungen</h1>";

if ( $ergebnis_1[ 0 ] > 0 )
{
	foreach( $ergebnis_1[ 2 ] as $kategorie )
	{
		$ergebnis_2 = liefere_benutzerspezifische_einstellungen_anhand_kategorie_vollstaendig( $mandant_name, $benutzer_anmeldename_udeg, $kategorie );
		
		if ( $ergebnis_2[ 0 ] > 0 )
		{
			$i = 0;
			echo "<a name='".urlencode( $kategorie )."' href='#".urlencode( $kategorie )."'></a>";
			echo "<h2>".$kategorie."</h2>";
			
			echo "<form name='form' action='su_web.php?cmd=benutzereinstellungen_aendern_ad&mandant_name=".urlencode( $mandant_name )."&kategorie=".urlencode( $kategorie )."' method='post' accept-charset='UTF-8' >";
			
			echo "<input type='hidden' value='".$benutzer_anmeldename_udeg."' name='benutzer_anmeldename' />";
			echo "
			
			
			
			
			<table style=' font-size:90%; '>";
			//echo "<tr><th style='width:200px;'>Bezeichnung</th><th>Wert</th><th>Wertemenge</th><th>Benutzer darf Wert &auml;ndern</th></tr>";
			
			foreach ( $ergebnis_2[ 2 ] as $einstellung )
			{
				$i = bcadd( $i, 1, 0 );
				echo "<tr><td style='width:200px;'>".$einstellung[ "bezeichnung" ]."</td><td><input type='hidden' name='bez_a_".liefere_anzahl_zeichen( bcsub( 2, strlen( $i ) ), "0" ).$i."' value='".$einstellung[ "einstellung" ]."' /><input type='text' name='alpha_".liefere_anzahl_zeichen( bcsub( 2, strlen( $i ) ), "0" ).$i."' style='width:200px;' value='".$einstellung[ "wert" ]."' /></td><td ><select style='width:200px;' name='wertemenge_".liefere_anzahl_zeichen( bcsub( 2, strlen( $i ) ), "0" ).$i."' ><option value=''></option>";
				
				if ( $wertemenge[ 0 ] > 0 )
				{
					foreach ( $wertemenge[ 2 ] as $element )
					{
						//xlog( 4,  $element[ "alpha_01" ] ." wdw ".$einstellung[ "wertemenge" ] );
						if ( $element[ "alpha_01" ] == $einstellung[ "wertemenge" ] )
						{
							echo "<option value='".$element[ "alpha_01" ]."' selected >".$element[ "alpha_02" ]."</option>";
						}
						else
						{
							echo "<option value='".$element[ "alpha_01" ]."'>".$element[ "alpha_02" ]."</option>";
						}
					}
				}
				
				if ( $einstellung[ "benutzer_darf_wert_aendern" ] == "ja" )
				{
					$janein = "<option value='ja' selected >&auml;nderbar</option><option value='nein' >nicht &auml;nderbar</option>";
				}
				else
				{
					$janein = "<option value='ja'  >&auml;nderbar</option><option value='nein' selected >nicht &auml;nderbar</option>";
				}
				
				echo "</select></td><td><select name='aender_".liefere_anzahl_zeichen( bcsub( 2, strlen( $i ) ), "0" ).$i."'>".$janein."</select></td></tr>";
				
				
				
			}
			
			echo "</table>
			
			
			
			
			";
			echo "<input type='submit' name='".$kategorie."' value='Speichern'>
				<input type='button' value='Abbrechen' onclick='document.location.href=\"ad_benutzer.php\";'>";
			echo "</form><div name=''>".$_SESSION[ $kategorie ]."</div>";
			$_SESSION[ $kategorie ] = "";
		}
	}
}

echo '<h1 style="height:35px;"  >Notizen zum Benutzer '.$vollname.'</h1>
<textarea name="eingabe" id="eingabe" cols="70" rows="5" onfocus="$( \'#eingabe\' ).html( \'\' );"  onchange="ajaxFunction( \'su_web.php?cmd=notiz_an_benutzer_anlegen&mandant_name='.urlencode( $mandant_name ).'&benutzer_anmeldename='.urlencode( $benutzer_anmeldename_udeg ).'&kategorie=\'+encodeURIComponent( this.value ), \'anzeige\' );  " >Bitte geben Sie Ihre Notiz hier ein!</textarea><br />
<div name="anzeige" id="anzeige" style="overflow:auto;height: 200px; width: 585px; text-align:left;"  >';
//cols="70" rows="5" style="overflow:auto;height: 300px; width: 600px;"
$ergebnis = liefere_notizen_an_element_als_string( $mandant_name, "b", $benutzer_anmeldename_udeg );

echo $ergebnis[ 2 ];

echo '</div>

';

/* Oben wird im onchange der Parameter kategorie der Inhalt der Notiz übergeben */
echo "<div name='' id='f'>".$_SESSION[ $notiz ]."</div>";
$_SESSION[ $notiz ] = "";












echo "</div>";

include( 'ssi_footer.php' );

?>